return require('packer').startup(function()
	-- Packer can manage itself
	use 'wbthomason/packer.nvim'

	-- colorscheme
	use 'gruvbox-community/gruvbox'

	use { 'neoclide/coc.nvim', run = 'yarn install', disable = true }

    use { "williamboman/nvim-lsp-installer" }

    use {
        "neovim/nvim-lspconfig",
        event = "BufReadPre",
        wants = { "cmp-nvim-lsp", "nvim-lsp-installer", "lsp_signature.nvim" },
        config = function()
            require("config.lsp").setup()
        end,
        requires = {
            "williamboman/nvim-lsp-installer",
            "ray-x/lsp_signature.nvim",
        },
    }

    use {
        "ray-x/lsp_signature.nvim",
    }

    use {
        "hrsh7th/nvim-cmp",
         event = "InsertEnter",
        requires = {
            { "hrsh7th/cmp-nvim-lsp", after = "nvim-cmp" },
            { "f3fora/cmp-spell", after = "nvim-cmp" },
            { "hrsh7th/cmp-path", after = "nvim-cmp" },
            { "hrsh7th/cmp-buffer", after = "nvim-cmp" },
            { "hrsh7th/cmp-calc", after = "nvim-cmp" },
            { "quangnguyen30192/cmp-nvim-ultisnips", after = "nvim-cmp" },
            {
                "L3MON4D3/LuaSnip",
                -- after = 'nvim-cmp',
                wants = "friendly-snippets",
                requires = {
                    {  "rafamadriz/friendly-snippets", after = 'nvim-cmp' },
                },
                config = function()
                    require("config.luasnip").setup()
                end,
            },

        },
        config = function()
            require("config.cmp").setup()
        end,
        disable = false,
    }

    use 'nvim-lua/popup.nvim'
	use 'nvim-lua/plenary.nvim'
	use 'nvim-telescope/telescope.nvim'
	use 'nvim-telescope/telescope-fzy-native.nvim'

	use 'Rican7/php-doc-modded'

	use 'f-person/git-blame.nvim'

	use 'dart-lang/dart-vim-plugin'

    use { 'nvim-treesitter/nvim-treesitter' }

    use 'ray-x/go.nvim'
    use 'ray-x/guihua.lua'

    use 'aserowy/tmux.nvim'

    -- Local nvim plugin development
    -- use '~/Software/nvim-phpdoc/phpdoc.nvim'
end)
